Subject: [PATCH v5 00/14] ARM: samsung-time: Prepare for multiplatform support

From: [email-masked] (Sylwester Nawrocki)
Date: Tue, 16 Apr 2013 22:51:35 +0200

On 04/12/2013 09:17 PM, Tomasz Figa wrote:
> This series is an attempt to make the samsung-time clocksource driver ready
> for multiplatform kernels. It moves the driver to drivers/clocksource, cleans
> it up from uses of static platform-specific definitions, simplifies timer
> interrupt handling and adds Device Tree support.
>
> The samsung_pwm clocksource driver is made the master driver, which
> exposes a single function to the PWM driver to get required data. Only
> samsung-time driver is reworked to use the master driver at this time,
> since the PWM driver can be already considered broken at the moment and
> needs separate series of several patches to fix and clean it up, which
> I am already working on.
>
> Tested on Universal C210 board with Device Tree. Not tested without
> Device Tree, since it has been already broken before this series.
> Compile tested for other related SoCs.

On s3c2440 based board

Tested-by: Sylwester Nawrocki <[email-masked]>